extend("fiskheroes:hero_basic");
loadTextures({
    "layer1": "mk:liu_kang_layer1",
    "layer2": "mk:liu_kang_layer2",
    "lights": "mk:liu_kang_lights",
    "head": "mk:liu_kang_head"
});

function init(renderer) {
    parent.init(renderer);
    renderer.setLights((entity, renderLayer) => renderLayer == "CHESTPLATE" ? "lights" : null);

    renderer.showModel("CHESTPLATE", "head", "body", "rightArm", "leftArm");
}

function initEffects(renderer){

    renderer.setTexture((entity, renderLayer) => renderLayer == "HELMET" ? "head": renderLayer == "LEGGINGS" ? "layer2" : "layer1");
}
